#include "DAGH.h"
#include "DAGHIO.h"

#include "Consts.h"
#include "ADMvar.h"
#include "SArray.h"
#include "TArray.h"
#include "BHmask.h"
#include "Variables.h"

#include "Evolve0.h"

void  BO_Integrate(GridHierarchy & GH,const INTEGER Level,
		   const DOUBLE Delta_t, DOUBLE Time,
		   V & VA, INTEGER t, INTEGER myrank)
{
    if(myrank == 0) cout << "start Evolve " << endl;

    Evolve0(VA,Time,Delta_t,t,Level,DAGH_Main,myrank);

    if(myrank == 0) cout << "back from Evolve " << endl;
}
